## shadow 4.17.4

=== tests/common/Makefile ===
all: \
	fopen_failure.so \
	link_failure.so \
	open_RDONLY_failure.so \
	open_RDWR_failure.so \
	rename_failure.so \
	rmdir_failure.so \
	time_0.so \
	time_past.so \
	unlink_failure.so \
	unlinkat_failure.so

%.so: %.c
	gcc -W -Wall -pedantic -g $< -shared -ldl -o $@

=== debian/changelog ===
shadow (1:4.17.4-2ubuntu2) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Sat, 06 Sep 2025 15:16:34 +0000

shadow (1:4.17.4-2ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2098865)
    Remaining changes:
    - d/p/* : Enable private home directories by default
    - debian/{source_shadow.py,login.defs.install}: Add apport hook
    - debian/patches/1010_extrausers.patch:
      + Add support to passwd for libnss-extrausers
      + Add automatic detection of "extrausers" for usermod -G
    - d/p/1011_extrausers_toggle.patch: extrausers support for useradd/groupadd
    - d/p/1012_extrausers_chfn.patch: --extrausers support for chfn tool
      This one got refreshed, and some space vs tabs shenanigans got fixed
    - d/p/1013_extrausers_deluser.patch: --extrausers support for userdel
    - d/p/1014_extrausers_delgroup.patch: --extrausers support for groupdel
    - d/p/1016_extrausers_gpasswd.patch: extrausers support for gpasswd
    - d/p/506_relaxed_usernames.patch, d/t/{control,numeric-username}:
    - d/t/smoke: Extend for extrausers support
    - Add some cursory tests for the extrausers features
    - d/p/lp2063200: fix useradd group validation with extrausers (LP 2063200)
      Small refresh here with a variable renamed
    - d/p/u/0001-...fully-numeric.patch:
      Non trivial refresh after some part of the feature got upstreamed.
    Dropped changes:
    - d/tests: make 'upstream' tests work with current sources layout
      Upstream fixed its layout, it's not needed anymore

 -- Florent 'Skia' Jacquet <florent.jacquet@canonical.com>  Wed, 07 May 2025 14:16:59 +0200

shadow (1:4.17.4-2) unstable; urgency=medium

  * Allow LOGIN_ENV_SAFELIST (from util-linux) in /etc/login.defs.
    Using patch from upstream.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 19 Apr 2025 12:20:28 +0200

shadow (1:4.17.4-1) unstable; urgency=medium

  * New upstream version 4.17.4
  * Rebase patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 29 Mar 2025 13:28:35 +0100

=== debian/control ===
Source: shadow
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
Uploaders:
 Serge Hallyn <serge@hallyn.com>,
 Chris Hofstaedtler <zeha@debian.org>
Section: admin
Priority: required
Build-Depends:
 bison,
 debhelper-compat (= 13),
 dh-package-notes,
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 docbook-xml <!nodoc>,
 docbook-xsl <!nodoc>,
 gettext,
 itstool <!nodoc>,
 libacl1-dev,
 libattr1-dev,
 libaudit-dev [linux-any],
 libbsd-dev,
 libcrypt-dev,
 libltdl-dev,
 libpam0g-dev,
 libselinux1-dev [linux-any],
 libsemanage-dev [linux-any],
 libxml2-utils <!nodoc>,
 pkgconf,
 systemd-dev [linux-any],
 xsltproc <!nodoc>
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
Vcs-Browser: https://salsa.debian.org/debian/shadow
Homepage: https://github.com/shadow-maint/shadow
Rules-Requires-Root: no

Package: passwd
Architecture: any
Multi-Arch: foreign
Depends:
 base-passwd (>= 3.6.4),
 libpam-modules,
 login.defs
Recommends:
 sensible-utils
Replaces:
 login (<< 1:4.16.0-2~)
Description: change and administer password and group data
 This package includes passwd, chsh, chfn, and many other programs to
 maintain password and group data.
 .
 Shadow passwords are supported.  See /usr/share/doc/passwd/README.Debian

Package: login.defs
Architecture: all
Multi-Arch: foreign
Replaces:
 login (<< 1:4.16.0-2~)
Description: system user management configuration
 This package provides the login.defs configuration file,
 used by otherwise unrelated tools managing system users.

Package: uidmap
Architecture: any
Multi-Arch: foreign
Priority: optional
Description: programs to help use subuids
 These programs help unprivileged users to create uid and gid mappings in
 user namespaces.

Package: libsubid5
Section: libs
Priority: optional
Architecture: any
Multi-Arch: same
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.

Package: libsubid-dev
Section: libdevel
Priority: optional
Architecture: any
Multi-Arch: same
Depends:
 libsubid5 (= ${binary:Version})
Description: subordinate id handling library -- shared library
 The library provides an interface for querying, granding and ungranting
 subordinate user and group ids.
 .
 This package contains the C header files that are
 needed for applications to use the libsubid library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-

# Enable PIE, BINDNOW, and possible future flags.
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/architecture.mk
include /usr/share/dpkg/buildflags.mk
include /usr/share/debhelper/dh_package_notes/package-notes.mk

# Adds extra options when calling the configure script:
DEB_CONFIGURE_EXTRA_FLAGS := \
	--bindir=/usr/bin \
	--sbindir=/usr/sbin \
	--mandir=/usr/share/man \
	--with-libpam \
	--with-yescrypt \
	--enable-shadowgrp \
	--enable-subordinate-ids \
	--enable-lastlog=no \
	--enable-man \
	--disable-account-tools-setuid \
	--with-group-name-max-length=32 \
	--with-acl \
	--with-attr \
	--without-su \
	--without-tcb \


ifeq ($(DEB_HOST_ARCH_OS),linux)
DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
DEB_CONFIGURE_EXTRA_FLAGS += --with-btrfs
endif

ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
DEB_CONFIGURE_EXTRA_FLAGS += --disable-man
endif

DEB_CONFIGURE_EXTRA_FLAGS += SHELL=/bin/sh

# Set the default editor for vipw/vigr
CFLAGS += -DDEFAULT_EDITOR="\"sensible-editor\""

%:
	dh $@

execute_after_dh_auto_clean:
	# rebuild lib/getdate.c
	rm -f lib/getdate.c

override_dh_auto_configure:
	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_FLAGS)

override_dh_installpam:
	# Distribute the pam.d files; unless for the commands with disabled PAM
	# support
	dh_installpam -p passwd --name=passwd
	dh_installpam -p passwd --name=chfn
	dh_installpam -p passwd --name=chsh
	dh_installpam -p passwd --name=chpasswd
	dh_installpam -p passwd --name=newusers

=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,\
    pgpsigurlmangle=s/$/.asc/,\
    versionmangle=s/-(alpha|beta|rc)/~$1/,\
    dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1 \
    https://github.com/shadow-maint/@PACKAGE@/tags \
    /shadow-maint/@PACKAGE@/archive/refs/tags/([^v].*)\.tar\.gz

## shadow 4.18.0

=== tests/libsubid/04_nss/Makefile ===
all: test_nss libsubid_zzz.so

BUILD_BASE_DIR ?= $(shell git rev-parse --show-toplevel)
basedir := $(BUILD_BASE_DIR)

test_nss: test_nss.c $(basedir)/lib/nss.c
	gcc -c -I$(basedir)/lib/ -I$(basedir) -o test_nss.o test_nss.c
	gcc -o test_nss test_nss.o $(basedir)/lib/.libs/libshadow.a -ldl

libsubid_zzz.so: libsubid_zzz.c
	gcc -c -I$(basedir)/lib/ -I$(basedir) -I$(basedir)/libsubid libsubid_zzz.c
	gcc -L$(basedir)/libsubid -shared -o libsubid_zzz.so libsubid_zzz.o $(basedir)/lib/.libs/libshadow.a -ldl

clean:
	rm -f *.o *.so test_nss

=== debian/changelog ===
shadow (1:4.18.0-2) unstable; urgency=medium

  [ Frans Spiesschaert ]
  * Update Dutch translations (Closes: #1115411)

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 17 Sep 2025 00:46:09 +0200

shadow (1:4.18.0-1) unstable; urgency=medium

  * New upstream version 4.18.0
  * Refresh patches
  * d/copyright: update for upstream-deleted code
  * Drop newly unnecessay Build-Depends: bison

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 26 Aug 2025 23:05:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: shadow
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
+Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
  Chris Hofstaedtler <zeha@debian.org>
 Section: admin
 Priority: required
 Build-Depends:
- bison,
  debhelper-compat (= 13),
  dh-package-notes,
  dh-sequence-zz-debputy-rrr (>= 0.1.23~),

=== debian/tests/control ===
Tests: smoke
Restrictions: needs-root, superficial

Tests: upstream
Depends:
 expect,
 procps,
 @,
 @builddeps@
Restrictions: needs-root, build-needed, breaks-testbed, allow-stderr, isolation-machine

## shadow 4.19.0

=== debian/changelog ===
shadow (1:4.19.0-4) unstable; urgency=medium

  * Import upstream patches to fix hash check (Closes: #1124835)

 -- Chris Hofstaedtler <zeha@debian.org>  Thu, 08 Jan 2026 00:01:00 +0100

shadow (1:4.19.0-3) unstable; urgency=medium

  * chpasswd: Disable broken hash check, bug #1124835

 -- Chris Hofstaedtler <zeha@debian.org>  Wed, 07 Jan 2026 11:11:24 +0100

shadow (1:4.19.0-2) unstable; urgency=medium

  * Disable logind integration on !linux

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Jan 2026 02:38:50 +0100

shadow (1:4.19.0-1) unstable; urgency=medium

  * New upstream version 4.19.0
  * Refresh patches
  * Drop upstream-applied patches
  * Add new build-dependency on libsystemd-dev [linux-any]
  * login.defs: Remove commented out USERDEL_CMD

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 06 Jan 2026 01:16:37 +0100

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
  libpam0g-dev,
  libselinux1-dev [linux-any],
  libsemanage-dev [linux-any],
+ libsystemd-dev [linux-any],
  libxml2-utils <!nodoc>,
  pkgconf,
  systemd-dev [linux-any],

=== debian/rules ===
--- 
+++ 
@@ -30,6 +30,8 @@
 ifeq ($(DEB_HOST_ARCH_OS),linux)
 DEB_CONFIGURE_EXTRA_FLAGS += --with-audit
 DEB_CONFIGURE_EXTRA_FLAGS += --with-btrfs
+else
+DEB_CONFIGURE_EXTRA_FLAGS += --disable-logind
 endif
 
 ifneq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)

## shadow 4.19.2

=== debian/changelog ===
shadow (1:4.19.2-1) unstable; urgency=medium

  * New upstream version 4.19.2
  * Refresh patches, drop upstream-applied chkhask patches

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 25 Jan 2026 14:18:54 +0100

## shadow 4.19.3

=== debian/changelog ===
shadow (1:4.19.3-1) unstable; urgency=medium

  * New upstream version 4.19.3
  * Update Upstream signing keys
  * d/watch: enable pgpmode=auto

 -- Chris Hofstaedtler <zeha@debian.org>  Mon, 23 Feb 2026 09:54:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Shadow package maintainers <pkg-shadow-devel@lists.alioth.debian.org>
 Uploaders:
  Serge Hallyn <serge@hallyn.com>,
- Chris Hofstaedtler <zeha@debian.org>
+ Chris Hofstaedtler <zeha@debian.org>,
 Section: admin
 Priority: required
 Build-Depends:
@@ -26,12 +26,13 @@
  libxml2-utils <!nodoc>,
  pkgconf,
  systemd-dev [linux-any],
- xsltproc <!nodoc>
+ xsltproc <!nodoc>,
 Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/debian/shadow.git -b master
 Vcs-Browser: https://salsa.debian.org/debian/shadow
 Homepage: https://github.com/shadow-maint/shadow
 Rules-Requires-Root: no
+X-Style: black
 
 Package: passwd
 Architecture: any
@@ -39,11 +40,11 @@
 Depends:
  base-passwd (>= 3.6.4),
  libpam-modules,
- login.defs
+ login.defs,
 Recommends:
- sensible-utils
+ sensible-utils,
 Replaces:
- login (<< 1:4.16.0-2~)
+ login (<< 1:4.16.0-2~),
 Description: change and administer password and group data
  This package includes passwd, chsh, chfn, and many other programs to
  maintain password and group data.
@@ -54,7 +55,7 @@
 Architecture: all
 Multi-Arch: foreign
 Replaces:
- login (<< 1:4.16.0-2~)
+ login (<< 1:4.16.0-2~),
 Description: system user management configuration
  This package provides the login.defs configuration file,
  used by otherwise unrelated tools managing system users.
@@ -82,7 +83,7 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- libsubid5 (= ${binary:Version})
+ libsubid5 (= ${binary:Version}),
 Description: subordinate id handling library -- shared library
  The library provides an interface for querying, granding and ungranting
  subordinate user and group ids.

=== debian/tests/control ===
Tests:
 smoke,
Restrictions:
 needs-root,
 superficial,

Tests:
 upstream,
Depends:
 expect,
 procps,
 @,
 @builddeps@,
Restrictions:
 allow-stderr,
 breaks-testbed,
 build-needed,
 isolation-machine,
 needs-root,

=== debian/watch ===
version=4
opts=downloadurlmangle=s/archive\/refs\/tags\/(.*)\.tar\.gz/releases\/download\/$1\/@PACKAGE@-$1\.tar\.xz/,\
    versionmangle=s/-(alpha|beta|rc)/~$1/,\
    dversionmangle=s/\+dfsg1//,repacksuffix=+dfsg1,\
    pgpmode=auto \
    https://github.com/shadow-maint/@PACKAGE@/tags \
    /shadow-maint/@PACKAGE@/archive/refs/tags/([^v].*)\.tar\.gz

## shadow 970616

=== debian/rules ===
#!/usr/bin/make -f

package = shadow

build:
	$(checkdir)
	CFLAGS='-D_GNU_SOURCE -O2 -Wall' ./configure --enable-shadowgrp
	$(MAKE)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-$(MAKE) -i distclean
	-rm -rf debian/tmp{-l,-p,-s} debian/{files*,substvars}
	find . -name '*~' -print0 | xargs -0 rm -f

binary-indep:	checkroot build
	$(checkdir)

binary-arch:	binary-login binary-passwd binary-su

binary-login:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp-l
	umask 000
	install -d debian/tmp-l/{DEBIAN,bin,etc/init.d,usr/{bin,man/man{1,5,8},doc/login,sbin}}
	cp src/login debian/tmp-l/bin/
	cp src/{newgrp,faillog,lastlog} debian/tmp-l/usr/bin/
	cp src/logoutd debian/tmp-l/usr/sbin/
	strip debian/tmp-l/{bin/*,usr/bin/*}
	cp man/{login.1,newgrp.1} debian/tmp-l/usr/man/man1/
	cp man/{login.defs.5,login.access.5,porttime.5,faillog.5} \
	  debian/tmp-l/usr/man/man5/
	cp man/{faillog.8,logoutd.8,lastlog.8} \
	  debian/tmp-l/usr/man/man8/
	ln -sf newgrp debian/tmp-l/usr/bin/sg
	ln -sf newgrp.1.gz debian/tmp-l/usr/man/man1/sg.1.gz
	cp etc/login.defs.linux debian/tmp-l/etc/login.defs
	cp etc/login.access debian/{securetty,porttime} debian/tmp-l/etc/
	cp debian/logoutd debian/tmp-l/etc/init.d/
	chmod +x debian/tmp-l/etc/init.d/logoutd
	cp debian/changelog debian/tmp-l/usr/doc/login/changelog.Debian
	cp doc/CHANGES debian/tmp-l/usr/doc/login/
	find debian/tmp-l/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/login.copyright debian/tmp-l/usr/doc/login/copyright
	cp debian/login.preinst debian/tmp-l/DEBIAN/preinst
	cp debian/login.postinst debian/tmp-l/DEBIAN/postinst
	cp debian/login.prerm    debian/tmp-l/DEBIAN/prerm
	cp debian/login.postrm   debian/tmp-l/DEBIAN/postrm
	chmod +x debian/tmp-l/DEBIAN/{post,pre}{inst,rm}
	cp debian/login.conffiles debian/tmp-l/DEBIAN/conffiles
	dpkg-shlibdeps -dPre-Depends debian/tmp-l/{bin/*,usr/bin/*}
	dpkg-gencontrol -isp -plogin -Pdebian/tmp-l
	chown -R root.root debian/tmp-l
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-l
	chmod 4755 debian/tmp-l/bin/login debian/tmp-l/usr/bin/newgrp
	dpkg --build debian/tmp-l ..

binary-passwd:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp-p
	umask 000
	install -d debian/tmp-p/{DEBIAN,etc,usr/{sbin,bin,man/{man1,man5,man8},doc/passwd}}
	cp etc/shells debian/tmp-p/etc/
	cp src/{chage,chfn,chsh,expiry,gpasswd,passwd} debian/tmp-p/usr/bin/
	cp src/{chpasswd,groupadd,groupdel,groupmod,grpck,grpconv,grpunconv} \
	  src/{mkpasswd,newusers,pwck,pwunconv,mkpasswd,useradd,userdel} \
	  src/{dpasswd,usermod,vipw} debian/tmp-p/usr/sbin/
	cp src/pwconv debian/tmp-p/usr/sbin/pwconv
	strip debian/tmp-p/usr/{bin/*,sbin/*}
	cp man/{chage.1,chfn.1,chsh.1,gpasswd.1,passwd.1} \
	  debian/tmp-p/usr/man/man1/
	cp man/{chpasswd.8,groupadd.8,groupdel.8,groupmod.8,grpck.8} \
	  man/{mkpasswd.8,newusers.8,pwauth.8,pwck.8,dpasswd.8} \
	  man/{useradd.8,userdel.8,usermod.8,vipw.8,shadowconfig.8} \
	  debian/tmp-p/usr/man/man8/
	cp man/{passwd.5,shadow.5} debian/tmp-p/usr/man/man5/
	ln -s vipw debian/tmp-p/usr/sbin/vigr
	ln -s vipw.8.gz debian/tmp-p/usr/man/man8/vigr.8.gz
	cp debian/changelog debian/tmp-p/usr/doc/passwd/changelog.Debian
	cp doc/{CHANGES,README,README.limits,README.linux,README.debian} \
	  debian/tmp-p/usr/doc/passwd/
	find debian/tmp-p/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/passwd.copyright debian/tmp-p/usr/doc/passwd/copyright
	cp debian/login.preinst debian/tmp-p/DEBIAN/preinst
	cp debian/passwd.postinst debian/tmp-p/DEBIAN/postinst
	chmod +x debian/tmp-p/DEBIAN/{pre,post}inst
	cp debian/passwd.conffiles debian/tmp-p/DEBIAN/conffiles
	dpkg-shlibdeps -dDepends debian/tmp-p/usr/{bin/*,sbin/*}
	cp src/shadowconfig.sh debian/tmp-p/usr/sbin/shadowconfig
	chmod +x debian/tmp-p/usr/sbin/shadowconfig
	dpkg-gencontrol -isp -ppasswd -Pdebian/tmp-p
	chown -R root.root debian/tmp-p
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-p
	chmod 4755 debian/tmp-p/usr/bin/{chage,chfn,chsh,expiry,gpasswd,passwd}
	dpkg --build debian/tmp-p ..

binary-su: checkroot build
	$(checkdir)
	-rm -rf debian/tmp-s
	umask 000
	install -d debian/tmp-s/{DEBIAN,etc,bin,usr/{doc/secure-su,man/man{1,5}}}
	cp src/su debian/tmp-s/bin/
	cp etc/suauth debian/tmp-s/etc/
	cp man/suauth.5 debian/tmp-s/usr/man/man5/
	cp man/su.1 debian/tmp-s/usr/man/man1/
	cp debian/secure-su.README debian/tmp-s/usr/doc/secure-su/README
	cp debian/changelog debian/tmp-s/usr/doc/secure-su/
	find debian/tmp-s/usr/{doc,man} -type f | xargs gzip -9f
	cp debian/secure-su.copyright debian/tmp-s/usr/doc/secure-su/copyright
	cp debian/secure-su.preinst debian/tmp-s/DEBIAN/preinst
	cp debian/secure-su.postrm debian/tmp-s/DEBIAN/postrm
	chmod +x debian/tmp-s/DEBIAN/{preinst,postrm}
	cp debian/secure-su.conffiles debian/tmp-s/DEBIAN/conffiles
	dpkg-shlibdeps -dDepends debian/tmp-s/bin/su
	dpkg-gencontrol -isp -psecure-su -Pdebian/tmp-s
	chown -R root.root debian/tmp-s
	chmod -R +r,+X,g-ws,a-ws,u+w debian/tmp-s
	chmod 4755 debian/tmp-s/bin/su
	dpkg --build debian/tmp-s ..

define checkdir
	test -f lib/shadow.c -a -f debian/rules
endef


binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

# Local Variables:
# mode:Makefile
